import { NSFWLevel, MFALevel, NotificationLevel, VerificationLevel, ExplicitContentFilterLevel } from '../util/Constants';
import Client from './Client';
import Role from './Role';
export default class Guild {
    client: Client;
    id: string;
    name: string | null;
    icon: string | null;
    nsfw: boolean;
    discoverySplash: string | null;
    banner: string | null;
    description: string | null;
    verificationLevel: VerificationLevel | null;
    defaultNotifications: NotificationLevel | null;
    available: boolean;
    systemChannelId: string | null;
    ownerId: string | null;
    large: boolean;
    afkChannelId: string | null;
    explicitContentFilter: ExplicitContentFilterLevel | null;
    maxMembers: number | null;
    preferredLocale: string | null;
    mfaLevel: MFALevel | null;
    vanityCode: string | null;
    nsfwLevel: NSFWLevel | null;
    maxVideoChannelUsers: number | null;
    boosterCount: number | null;
    splash: string | null;
    memberCount: number | null;
    boostTier: number | null;
    rulesChannelId: string | null;
    afkTimeout: number | null;
    roles: Role[];
    constructor(client: Client, data: any);
    _build(data: any): void;
}
