import Guild from '../Guild';
import Client from '../Client';
import Cache from '../Cache';
import { GuildResolvable } from '../../util/Types';
export default class GuildBlock {
    client: Client;
    cache: Cache;
    constructor(client: Client, options?: any);
    fetch(options: GuildResolvable | {
        guild: GuildResolvable;
        shouldCache?: boolean;
        bypassCache?: boolean;
    }): Promise<Guild>;
}
